/*
================================ COPYRIGHT ================================
The contents of this file are subject to the VTech Informations Ltd. License
of VT-OS Ver. 1.1 operating system (the "License"); you may not use this 
file except in compliance with the License.  
 
Software distributed under the License is distributed on an "AS IS" basis, 
WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License 
for the specific language governing rights and limitations under the License.
 
The Original Code is VT-OS Ver. 1.1 Operating System, released 
on October 1st, 1999

The Initial Developer of the Original Code is VTech Informations Ltd.  All 
codes are Copyright (C) VTech Informations Ltd. 1999.  All Rights Reserved.
===========================================================================
*/

/*
===========================================================================
File        :   kb_mgr.h
Author(s)   :   Garick Ngai
Company     :   VTech Informations Ltd.
Project     :   Helio 
Date:	    :   October 1st, 1999
Purpose:	:   header file for Keybaord manager module
Revision    :   1.1
Note        :   None
===========================================================================
*/              
                
#ifndef _KBMGR_
#define _KBMGR_

#include <datatype.h>
#include <kb_dev.h>
#include <QTYPE.H>
#include <print.h>
#include <uart.h>
#include <sio.h>
#include <pr31700s.h>
#include <pr31700c.h>



    /* Command For Accessory */
#define EVT_KEY              2
#define SOFT_KEY             1
//#define EVT_HW_KB        10011
//#define EVT_KB_PRESS     10012

    /* KB Control */

void KBCtrlMgr(MsgType* message);
void KBMapData(UWORD func_data, UWORD kb_data);
void KeyBoardSentEvt(UWORD para1, UWORD para2);
#endif  /* _KBMGR_ */


